#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# PolyK Class

Defined in: `src/pixi/utils/Polyk.js:34`
Module: PIXI

Based on the Polyk library http://polyk.ivank.net released under MIT licence. This is an amazing lib! slightly modified by Mat Groves (matgroves.com);

- Index
- Methods

## Item Index

### Methods

- _convex
- _PointInTriangle
- Triangulate

## Methods

### `_convex`

() private

Defined in `src/pixi/utils/Polyk.js:159`

Checks whether a shape is convex

### `_PointInTriangle`

(

- `px`
- `py`
- `ax`
- `ay`
- `bx`
- `by`
- `cx`
- `cy`

)
private

Defined in `src/pixi/utils/Polyk.js:122`

Checks whether a point is within a triangle

#### Parameters:

- `px` Number

  x coordinate of the point to test

- `py` Number

  y coordinate of the point to test

- `ax` Number

  x coordinate of the a point of the triangle

- `ay` Number

  y coordinate of the a point of the triangle

- `bx` Number

  x coordinate of the b point of the triangle

- `by` Number

  y coordinate of the b point of the triangle

- `cx` Number

  x coordinate of the c point of the triangle

- `cy` Number

  y coordinate of the c point of the triangle

### `Triangulate`

()

Defined in `src/pixi/utils/Polyk.js:43`

Triangulates shapes for webGL graphic fills